using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("TP_Shareholder")]
    public class TPShareholder
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long ShareholderID { get; set; }

        [Required] 
        public long TPID { get; set; }

        [Required]
        [StringLength(255)]
        public string ShareholderName { get; set; }

        [StringLength(20)]
        public string ShareholderNRIC { get; set; }
         
        [StringLength(20)]
        public string ShareholderIdentityNo { get; set; }

        [StringLength(20)]
        public string ShareholderNoPassport { get; set; }
        
        [StringLength(12)]
        public string ShareholderNoRoc { get; set; }

        [StringLength(20)]
        public string ShareholderNoCukai { get; set; }

        [StringLength(255)]
        public string ShareholderJawatan { get; set; }

        [StringLength(20)]
        public string NoROC { get; set; }

        [Required]
        [StringLength(2)]
        public string STS_RoleType { get; set; }
         
        public Int16? TahunTaksiran { get; set; }

        [Column(TypeName = "datetime2")]
        public Nullable<DateTime> STS_UpdatedDatetime { get; set; }

    }
}
